diff --git a/contrib/unaccent/unaccent.c b/contrib/unaccent/unaccent.c
new file mode 100644
index a39285e..262d5ec
*** a/contrib/unaccent/unaccent.c
--- b/contrib/unaccent/unaccent.c
*************** unaccent_lexize(PG_FUNCTION_ARGS)
*** 281,287 ****
  		{
  			if (!res)
  			{
! 				/* allocate res only it it's needed */
  				res = palloc0(sizeof(TSLexeme) * 2);
  				res->lexeme = trgchar = palloc(len * pg_database_encoding_max_length() + 1 /* \0 */ );
  				res->flags = TSL_FILTER;
--- 281,287 ----
  		{
  			if (!res)
  			{
! 				/* allocate res only if it's needed */
  				res = palloc0(sizeof(TSLexeme) * 2);
  				res->lexeme = trgchar = palloc(len * pg_database_encoding_max_length() + 1 /* \0 */ );
  				res->flags = TSL_FILTER;
diff --git a/src/backend/access/transam/README b/src/backend/access/transam/README
new file mode 100644
index de72f71..54d97a5
*** a/src/backend/access/transam/README
--- b/src/backend/access/transam/README
*************** If a subtransaction requires an XID, we 
*** 197,203 ****
  parent.  This maintains the invariant that child transactions have XIDs later
  than their parents, which is assumed in a number of places.
  
! The subsidiary actions of obtaining a lock on the XID and and entering it into
  pg_subtrans and PG_PROC are done at the time it is assigned.
  
  A transaction that has no XID still needs to be identified for various
--- 197,203 ----
  parent.  This maintains the invariant that child transactions have XIDs later
  than their parents, which is assumed in a number of places.
  
! The subsidiary actions of obtaining a lock on the XID and entering it into
  pg_subtrans and PG_PROC are done at the time it is assigned.
  
  A transaction that has no XID still needs to be identified for various
diff --git a/src/backend/postmaster/postmaster.c b/src/backend/postmaster/postmaster.c
new file mode 100644
index a481eef..d59ee68
*** a/src/backend/postmaster/postmaster.c
--- b/src/backend/postmaster/postmaster.c
*************** reaper(SIGNAL_ARGS)
*** 2506,2512 ****
  		 * Was it the archiver?  If so, just try to start a new one; no need
  		 * to force reset of the rest of the system.  (If fail, we'll try
  		 * again in future cycles of the main loop.).  Unless we were waiting
! 		 * for it to shut down; don't restart it in that case, and and
  		 * PostmasterStateMachine() will advance to the next shutdown step.
  		 */
  		if (pid == PgArchPID)
--- 2506,2512 ----
  		 * Was it the archiver?  If so, just try to start a new one; no need
  		 * to force reset of the rest of the system.  (If fail, we'll try
  		 * again in future cycles of the main loop.).  Unless we were waiting
! 		 * for it to shut down; don't restart it in that case, and
  		 * PostmasterStateMachine() will advance to the next shutdown step.
  		 */
  		if (pid == PgArchPID)